%define major 0
%define libname %mklibname gnomesu %major
%define libnamedev %mklibname gnomesu -d

Summary:	Library for accessing superuser privileges from GNOME
Version:	2.0.0
Name:		libgnomesu
License:	LGPLv2+
Group:		System/Libraries
Release:	1
Url:		http://members.chello.nl/~h.lai/libgnomesu/
# Source0:	ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.gz
Source0:	https://github.com/openSUSE/libgnomesu/archive/v%{version}.tar.gz?/%{name}-%{version}.tar.gz
Patch0:		libgnomesu-0.9.5-pam_stack.patch
Patch1:		libgnomesu-1.0.0-format-strings.patch
Patch2:		libgnomesu-1.0.0-deprecated.patch
BuildRequires:	pkgconfig(libgnomeui-2.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pam-devel
BuildRequires:	intltool
Provides:	gnomesu
Obsoletes:	gnomesu

%description
libgnomesu is a library for providing superuser privileges to GNOME 
applications. It supports sudo, consolehelper, PAM and su.

%files -f %name-1.0.lang
%defattr(-,root,root)
%doc README ChangeLog NEWS TODO AUTHORS
%config(noreplace) %_sysconfdir/pam.d/gnomesu-pam
%_bindir/gnomesu
%attr(4111,root,root) %_libexecdir/gnomesu-backend
%attr(4111,root,root) %_libexecdir/gnomesu-pam-backend

#------------------------------------------------------------------

%package -n %libname
Summary:	Library for accessing superuser privileges from GNOME
Group:		System/Libraries
Requires:	%name >= %{EVRD}

%description -n %libname
libgnomesu is a library for providing superuser privileges to GNOME 
applications. It supports sudo, consolehelper, PAM and su.

%files -n %libname
%defattr(-,root,root)
%_libdir/libgnomesu.so.%{major}*

#-----------------------------------------------------------------

%package -n %libnamedev
Summary:	Library for accessing superuser privileges from GNOME
Group:		Development/C
Requires:	%libname = %{EVRD}
Provides:	%name-devel = %{EVRD}
Obsoletes:	%mklibname -d gnomesu 0

%description -n %libnamedev
libgnomesu is a library for providing superuser privileges to GNOME 
applications. It supports sudo, consolehelper, PAM and su.

%files -n %libnamedev
%defattr(-,root,root)
%_includedir/libgnomesu-1.0/
%_libdir/pkgconfig/libgnomesu-1.0.pc
%_libdir/lib*.so

#-----------------------------------------------------------------

%prep
%setup -q
%apply_patches
intltoolize --force
autoreconf -fi

%build
%configure2_5x --disable-setuid-error
%make

%install
rm -rf %{buildroot} %name-1.0.lang
%makeinstall_std
%find_lang %name-1.0
#gw fix perms for cpio
chmod 755 %{buildroot}%_libexecdir/*

%changelog

* Thu Jul 14 2016 abondrov <andrey.bondrov@rosalab.ru> 2.0.0-1
- (74fae02) Merge pull request #1 from alzim/libgnomesu:rosa2014.1
- (74fae02) Updated to 2.0.0


